XreplyAIDevelopers
API ReferenceRules

Create a custom rule

Requires scope: `rules:write` and a paid plan.

POST
/custom_rules
AuthorizationBearer <token>

A personal API key created in the dashboard (Starter, Pro, and Team plans).

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/custom_rules" \  -H "Content-Type: application/json" \  -d '{    "custom_rule": {      "title": "No hashtags",      "content": "Never include hashtags in any post.",      "active": true    }  }'
{  "custom_rule": {    "id": 0,    "title": "string",    "content": "string",    "active": true,    "scope": "reply",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }}